/***********************************************************************
*                                                                      *
* (C) 2006, Frank Lemke, Computer Architecture Group,                  *
* University of Mannheim, Germany                                      *
*                                                                      *
* This program is free software; you can redistribute it and/or modify *
* it under the terms of the GNU General Public License as published by *
* the Free Software Foundation; either version 2 of the License, or    *
* (at your option) any later version.                                  *
*                                                                      *
* This program is distributed in the hope that it will be useful,      *
* but WITHOUT ANY WARRANTY; without even the implied warranty of       *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
* GNU General Public License for more details.                         *
*                                                                      *
* You should have received a copy of the GNU General Public License    *
* along with this program; if not, write to the Free Software          *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 *
* USA                                                                  *
*                                                                      *
* For informations regarding this file contact                         *
*			      office@mufasa.informatik.uni-mannheim.de *
*                                                                      *
***********************************************************************/

#include <cstdlib>
#include <vector>
#include <iterator>

#include "link.h"

using namespace std;


Link::Link(int id, double posx, double posy, int target, int level){
  lid = id;
  linkpos = make_pair(posx, posy);
  goal = target;
  color = 0;
  hlevel = level;
}
Link& Link::operator=(const Link &li){
  this->linkpos.first = li.linkpos.first;
  this->linkpos.second = li.linkpos.second;
  this->goal = li.goal;
  this->lid = li.lid;
  this->hlevel = li.hlevel;
  this->color = li.color;
  return *this;
}

int Link::operator==(const Link &li) const{
  if(lid == li.lid) return 1;
  return 0;

}

int Link::operator<(const Link &li) const{
  if(lid < li.lid) return 1;
  return 0;

}
