//#define DEBUGSCENE

#include <QtGui>
#include <QPalette>
#include <QRadialGradient>

#include "scene.h"


Scene::Scene( QObject *parent) : QGraphicsScene(parent)
{

	this->setBackgroundBrush(Qt::blue);
	this->setBackgroundBrush(QPixmap());
}

void Scene::mousePressEvent(QGraphicsSceneMouseEvent *mouseEvent)
{
#ifdef DEBUGSCENE
    qDebug()<<"Scene::mousePressEvent, scenePos:"<<mouseEvent->scenePos();
#endif

    if (mouseEvent->button() != Qt::LeftButton)
        return;

    QGraphicsScene::mousePressEvent(mouseEvent);
}


void Scene::mouseMoveEvent(QGraphicsSceneMouseEvent* e) {

    QPointF qpf =  e->scenePos();


   /* if(paintmode) {
        mousemoved = true;
        if(activatedItem) {
            //QToolTip::showText(e->globalPos(), tooltipString);
            if(drag) {
                //QString tooltipString("Dbg:paintmode&Item activated&drag");
                //QToolTip::showText(e->globalPos(), tooltipString);

                if( ((activatedItem->type()) != (Transline::Type)) && ((activatedItem->type()) != (FixedGrid::Type)) && ((activatedItem->type()) != (BoundingBox::Type)) ) {

                	// New position is the one mapped  to the scene - the coordinate in item
                	//qpf-=e->pos();
                	activatedItem->setPos(qpf);

                    //QString tooltipString2("Dbg:paintmode&Item activated&!transinserted&drag&Type!=Translines");
                    //QToolTip::showText(e->globalPos(), tooltipString2);
                    scene()->update();
                }
            }
        }
    }*/
    QGraphicsScene::mouseMoveEvent(e);
}
